Bug 575424 - [abrt] crash in livecd-tools-031-1.fc12.1: creator.py:404:__sanity_check:CreatorError: SELinux requested but not enabled on host
Summary: [abrt] crash in livecd-tools-031-1.fc12.1: creator.py:404:__sanity_check:Crea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Huff
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e6f11541
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 17:35 UTC by Ishan Girdhar
Modified: 2010-09-16 03:48 UTC (History)
3 users (show)

Fixed In Version: livecd-tools-034-7.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-16 03:48:26 UTC


Attachments (Terms of Use)
File: backtrace (992 bytes, text/plain)
2010-03-20 17:35 UTC, Ishan Girdhar
no flags Details

Description Ishan Girdhar 2010-03-20 17:35:24 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python -tt /usr/bin/livecd-creator --config=/usr/share/spin-kickstarts/fedora-livecd-desktop.ks --fslabel=Fedora-LiveCD --cache=/var/cache/live
component: livecd-tools
executable: /usr/bin/livecd-creator
kernel: 2.6.32.9-70.fc12.i686.PAE
package: livecd-tools-031-1.fc12.1
reason: creator.py:404:__sanity_check:CreatorError: SELinux requested but not enabled on host
release: Fedora release 12 (Constantine)

backtrace
-----
creator.py:404:__sanity_check:CreatorError: SELinux requested but not enabled on host

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 140, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 114, in main
    creator = imgcreate.LiveImageCreator(ks, name, fs_label)
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 47, in __init__
    LoopImageCreator.__init__(self, *args)
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 800, in __init__
    ImageCreator.__init__(self, ks, name)
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 76, in __init__
    self.__sanity_check()
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 404, in __sanity_check
    raise CreatorError("SELinux requested but not enabled on host")
CreatorError: SELinux requested but not enabled on host

Local variables in innermost frame:
self: <imgcreate.live.x86LiveImageCreator object at 0x8ffa54c>

Comment 1 Ishan Girdhar 2010-03-20 17:35:27 UTC
Created attachment 401469 [details]
File: backtrace

Comment 2 Fedora Admin XMLRPC Client 2010-05-07 15:41:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2010-09-12 04:19:59 UTC
livecd-tools-034-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-034-1.fc14

Comment 4 Fedora Update System 2010-09-13 18:09:49 UTC
livecd-tools-034-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-034-2.fc14

Comment 5 Fedora Update System 2010-09-15 03:22:45 UTC
livecd-tools-034-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-034-7.fc14

Comment 6 Fedora Update System 2010-09-15 06:52:04 UTC
livecd-tools-034-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-034-7.fc14

Comment 7 Fedora Update System 2010-09-16 03:46:46 UTC
livecd-tools-034-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.